<!--
@description: 采购单变更公告记录pdf查看
@Modifier: gmy
@routerPath:/procurement/procurementDrive/procurementAlterRecordPdf
@date: 2020-8-25 14:43:15
-->
<template>
  <div>
    <procurementAlterRecordPdfCom :id="id" :tender-type="tenderBase.tenderType" />
    <!--   下载报价单/关闭 -- 按钮 -->
    <div class="but_footer">
      <div class="but_footer-h">
        <div class="but_footer-but">
          <el-button @click="closeClick">
            关闭
          </el-button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
/* 组件*/
import procurementAlterRecordPdfCom from './procurementAlterRecordPdfComp.vue'
export default {
  name: 'OfferQuotationPdfDetailVue',
  components: { procurementAlterRecordPdfCom },
  inject: ['getTenderBase'],
  data() {
    return {
      tenderBase: this.getTenderBase(), // 获取项目信息
      id: this.$route.query.id, // 获取变更数据id
      procurementRole: this.$route.meta.procurementRole // 11 项目经理 12供应商
    }
  },
  mounted() {
    console.log(11)
  },
  methods: {
    // 关闭
    closeClick() {
      // procurementRole 11 代表项目经理 12代表供应商
      if (this.procurementRole === '11') {
        // 返回项目经理采购公告变更页面
        this.$router.push({
          path: '/procurement/procurementDrive/procurementContentTabs/procurementAlterRecord'
        })
        return
      }
      // 返回供应商采购公告变更页面
      this.$router.push({
        path: '/procurement/procurementDriveSupplier/procurementSupplierBulletin/procurementSupplierAlterRecord'
      })
    }
  }
}
</script>

<style scoped>
</style>
